require 'sketchup.rb'
require 'extensions.rb'

module ImportProjectPricePlan
  PLUGIN_NAME = 'Import Project Price Plan'.freeze
  PLUGIN_VERSION = '1.0.0'.freeze

  unless file_loaded?(__FILE__)
    extension = SketchupExtension.new(PLUGIN_NAME, 'import_points.rb')
    extension.version = PLUGIN_VERSION
    extension.description = 'Imports points from a CSV file and applies textures to shapes.'
    extension.creator = 'Project Price Ltd'
    Sketchup.register_extension(extension, true)
    file_loaded(__FILE__)
  end
end
